Get OAuth client
curl --request GET \
--url https://api.opencard.io/api/v1/application/accounts/{accountId}/oauthclients/{oauthClientId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opencard.io/api/v1/application/accounts/{accountId}/oauthclients/{oauthClientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.opencard.io/api/v1/application/accounts/{accountId}/oauthclients/{oauthClientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opencard.io/api/v1/application/accounts/{accountId}/oauthclients/{oauthClientId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 2,
"name": "Production EMS",
"organization_id": null,
"revoked": false,
"scopes": [
{
"id": 10,
"scope": "organizations-read"
}
],
"secret": null
}OAuth Clients
Get OAuth client
GET
/
accounts
/
{accountId}
/
oauthclients
/
{oauthClientId}
Get OAuth client
curl --request GET \
--url https://api.opencard.io/api/v1/application/accounts/{accountId}/oauthclients/{oauthClientId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opencard.io/api/v1/application/accounts/{accountId}/oauthclients/{oauthClientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.opencard.io/api/v1/application/accounts/{accountId}/oauthclients/{oauthClientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opencard.io/api/v1/application/accounts/{accountId}/oauthclients/{oauthClientId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 2,
"name": "Production EMS",
"organization_id": null,
"revoked": false,
"scopes": [
{
"id": 10,
"scope": "organizations-read"
}
],
"secret": null
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
200 - application/json
OAuth client. secret is null — the plaintext secret is only returned on create and regenerate.

